JUCE: LeakedObjectDetector< OwnerClass > Class Template Reference

JUCE

Public Member Functions | List of all members
LeakedObjectDetector< OwnerClass > Class Template Reference
juce_core » memory

Embedding an instance of this class inside another class can be used as a low-overhead way of detecting leaked instances. More...

`#include <juce_LeakedObjectDetector.h>`

## Public Member Functions
| LeakedObjectDetector () noexcept
| LeakedObjectDetector (const LeakedObjectDetector &) noexcept
LeakedObjectDetector & | operator= (const LeakedObjectDetector &) noexcept=default
| ~LeakedObjectDetector ()

## Detailed Description

template<class OwnerClass>
class LeakedObjectDetector< OwnerClass >

Embedding an instance of this class inside another class can be used as a low-overhead way of detecting leaked instances.

This class keeps an internal static count of the number of instances that are active, so that when the app is shutdown and the static destructors are called, it can check whether there are any left-over instances that may have been leaked.

To use it, use the JUCE_LEAK_DETECTOR macro as a simple way to put one in your class declaration. Have a look through the juce codebase for examples, it's used in most of the classes.

## Constructor & Destructor Documentation

## ◆ LeakedObjectDetector() [1/2]

template<class OwnerClass >

LeakedObjectDetector< OwnerClass >::LeakedObjectDetector | ( |  | ) |
| noexcept

## ◆ LeakedObjectDetector() [2/2]

template<class OwnerClass >

LeakedObjectDetector< OwnerClass >::LeakedObjectDetector | ( | const LeakedObjectDetector< OwnerClass > & |  | ) |
| noexcept

## ◆ ~LeakedObjectDetector()

template<class OwnerClass >

LeakedObjectDetector< OwnerClass >::~LeakedObjectDetector | ( |  | ) |

References DBG, and jassertfalse.

## Member Function Documentation

## ◆ operator=()

template<class OwnerClass >

LeakedObjectDetector & LeakedObjectDetector< OwnerClass >::operator= | ( | const LeakedObjectDetector< OwnerClass > & |  | ) |
| defaultnoexcept

The documentation for this class was generated from the following file:

- juce_LeakedObjectDetector.h